Bug 643458 - Mingw doesn't have mingw32-qmake-qt
Summary: Mingw doesn't have mingw32-qmake-qt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-filesystem
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-15 16:54 UTC by Ivan Romanov
Modified: 2010-11-14 08:56 UTC (History)
5 users (show)

Fixed In Version: mingw32-filesystem-62-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-29 20:37:47 UTC


Attachments (Terms of Use)
patch for /etc/rpm/macros.mingw32 (609 bytes, patch)
2010-10-15 18:47 UTC, Ivan Romanov
no flags Details | Diff
win32-is-obsoletes (1.25 KB, patch)
2010-11-14 08:56 UTC, Ivan Romanov
no flags Details | Diff

Description Ivan Romanov 2010-10-15 16:54:52 UTC
Mingw environment includes mingw32-configure, mingw32-make, mingw32-cmake, mingw32-pkg-config scripts which i can use for compiling application for Windows. But it doesn't have mingw32-qmake-qt. I'd like to have this script which might setup mingw32 environment and start qmake-qt4 -win32 -spec fedora-win32-cross

Comment 1 Richard W.M. Jones 2010-10-15 17:18:57 UTC
Adding the script is fine -- do you have a suggested
patch?

It's worth pointing out that lack of the script doesn't
prevent anyone from compiling Qt programs ...

Comment 3 Ivan Romanov 2010-10-15 18:47:44 UTC
Created attachment 453778 [details]
patch for /etc/rpm/macros.mingw32

Also you need script file. You can get it with
# cd /usr/bin/
# cp mingw32-cmake mingw32-qmake-qt4

I testing patch and mingw32-qmake-qt4 on my machine. It's works.

Comment 4 Richard W.M. Jones 2010-10-18 07:40:48 UTC
ACK to the patch in comment 3.

Ivan, request commit privs to mingw32-filesystem and
you can add this yourself.

Comment 5 Erik van Pienbroek 2010-10-18 18:53:14 UTC
Hi Ivan,

You've got a 'go' from me too. The mkspecs name 'fedora-win32-cross' should work on all current Fedora releases.

Please note that each release of Fedora has a different version of the mingw32-filesystem package. Only the F14 and rawhide version are the same at the moment. If you need assistance with applying the change, feel free to ping us on IRC

Comment 6 Ivan Romanov 2010-10-19 19:55:03 UTC
Hi Erik.

I get git repo with mingw32-filesystem, add my patch and commit. Also I do koji build. Have a look at http://koji.fedoraproject.org/koji/taskinfo?taskID=2543770

Comment 7 Fedora Update System 2010-10-19 20:20:32 UTC
mingw32-filesystem-62-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-filesystem-62-2.fc14

Comment 8 Fedora Update System 2010-10-20 03:08:52 UTC
mingw32-filesystem-62-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-filesystem'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mingw32-filesystem-62-2.fc14

Comment 9 Fedora Update System 2010-10-29 20:37:42 UTC
mingw32-filesystem-62-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Ivan Romanov 2010-11-14 08:56:26 UTC
Created attachment 460344 [details]
win32-is-obsoletes

Recentlty I installed Fedora 14 and qt-4.7.0 (before I testing mingw32-qmake-qt4 on Fedora 13 and qt-4.6.3). Option -win32 for qmake is obsoletes since version 4.7.0. I didn't know. I correct it. See in attachments.


Note You need to log in before you can comment on or make changes to this bug.